<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_users
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('jquery.framework');
//JHtml::_('behavior.keepalive');
//JHtml::_('behavior.formvalidator');

$app = JFactory::getApplication();
$document = JFactory::getDocument();
$document->addScript('/templates/'.$app->getTemplate().'/html/com_users/registration/registration.js');
$document->addStyleSheet('/templates/'.$app->getTemplate().'/html/com_users/registration/registration.css');
$ipreg = JPluginHelper::getPlugin('user', 'ipriceregistration');
//var_dump($ipreg);
//$isipreg = JPluginHelper::importPlugin('user', 'ipriceregistration');
$params = json_decode($ipreg->params);
$passwlen = (int)$params->passwordlength;
if ($passwlen == 0)
	$passwlen = 8;
//var_dump($params);

//var_dump($ipreg);

if ((int)$params->use_passw_generation)
{
?>
<script language="javascript" type="text/javascript">
function ip_gen_pas()
{
	var len=<?php echo $passwlen;?>;
    var password = "";
    var symbols = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    for (var i = 0; i < len; i++){
        password += symbols.charAt(Math.floor(Math.random() * symbols.length));     
    }
    return password;
}

function ip_spec_pas()
{
	var chbox = document.getElementById('ipagenpa');
	var passw="";
	if (chbox)
	{
		if (chbox.checked)
			passw=ip_gen_pas();
		var p = document.getElementById('jform_password1');
		if (p) p.value=passw;
		var p = document.getElementById('jform_password2');
		if (p) p.value=passw;
	}
}
</script>
<?php } ?>


<div class="registration<?php echo $this->pageclass_sfx; ?>">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<div class="page-header">
			<h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
		</div>
	<?php endif; ?>
	<form id="member-registration" action="<?php echo JRoute::_('index.php?option=com_users&task=registration.register'); ?>" method="post" class="form-validate form-horizontal well" enctype="multipart/form-data">
		<?php // Iterate through the form fieldsets and display each one. ?>
		<?php foreach ($this->form->getFieldsets() as $fieldset) : ?>
			<?php $fields = $this->form->getFieldset($fieldset->name); ?>
			<?php if (count($fields)) : ?>
				<fieldset>
					<?php // If the fieldset has a label set, display it as the legend. ?>
					<?php if (isset($fieldset->label)) : ?>
						<legend><?php echo JText::_($fieldset->label); ?></legend>
					<?php endif; ?>
					<?php // Iterate through the fields in the set and display them. ?>
					<?php foreach ($fields as $field) : ?>
						<?php // If the field is hidden, just display the input. ?>
						<?php if ($field->hidden) : ?>
							<?php echo $field->input; ?>
						<?php else : ?>
							<div class="control-group <?php echo $field->id ?>">
								<div class="control-label">
								   <?php echo trim(strip_tags($field->label)); ?>
								</div>
								<div class="controls">
									<?php 
										echo str_replace('<input', '<input autocomplete="off" ', $field->input); 
										//echo $field->input;
									?>
								</div>
							</div>
						<?php endif; ?>
						<?php 

						if ($field->getAttribute('name')=="password2" && (int)$params->use_passw_generation)
						{ ?>
							<div class="control-group">
								<div class="control-label" title="<?php echo JText::_("PLG_USER_IPREG_AUTO_GENERATE_PASSW_DESC"); ?>">
								   <?php echo JText::_("PLG_USER_IPREG_AUTO_GENERATE_PASSW"); ?>
								</div>
								<div class="controls">
									<input type="checkbox" id="ipagenpa" name="ipagenpa" class="inputbox" value="no" onChange="ip_spec_pas();" title="<?php echo JText::_("PLG_USER_IPREG_AUTO_GENERATE_PASSW_DESC"); ?>"/>								
								</div>
							</div>
							
						<?php	
						}
						?>
						
					<?php endforeach; ?>
				</fieldset>
			<?php endif; ?>
		<?php endforeach; ?>
		<div class="control-group">
			<div class="controls">
				<button type="submit" class="btn btn-primary validate" onclick="light_reg();">
					<?php echo JText::_('JREGISTER'); ?>
				</button>
				<a class="btn" href="<?php echo JRoute::_(''); ?>" title="<?php echo JText::_('JCANCEL'); ?>">
					<?php echo JText::_('JCANCEL'); ?>
				</a>
				<input type="hidden" name="option" value="com_users" />
				<input type="hidden" name="task" value="registration.register" />
			</div>
		</div>
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
